Update Payment Recipient
This API call allows a client to update a payment's recipient of an unapproved contract.
Authorization
bearerAuth In: header
Path Parameters
Query Parameters
Client account number
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
This is a composite request. It is used when you need to update a payment's recipient.
To update to a newly registered recipient you can specify their identifiers using the field recipientId and set the type field to Registered.
To provide a new non-registered recipient you can provide the recipient field and set the type field to NonRegistered, we will try and register this recipient for you.
Recipient field is required in version 2.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v2/contracts/string/payments/string/recipient" \ -H "Content-Type: application/json" \ -d '{ "recipient": { "entity": { "type": "Company" }, "payoutMethod": { "type": "BankAccount" } } }'{ "recipient": { "entity": { "company": { "address": { "country": "GB", "line1": "1 Apartment name", "line2": "Railway Terrace", "locality": "Slough", "postcode": "string", "region": "Berkshire,QLD,TX" }, "emailAddress": "string", "idNumber": "string", "idType": "string", "industryTypeCode": "string", "name": "string", "phoneNumber": "string", "taxNumber": "string" }, "consumer": { "address": { "country": "GB", "line1": "1 Apartment name", "line2": "Railway Terrace", "locality": "Slough", "postcode": "string", "region": "Berkshire,QLD,TX" }, "emailAddress": "string", "familyName": "string", "givenNames": "string", "idNumber": "string", "idType": "string", "mobileNumber": "string", "phoneNumber": "string", "taxNumber": "string", "title": "string" }, "isDeactivated": false, "type": "Company" }, "payoutMethod": { "bank": { "account": { "accountName": "ACME", "accountNumber": "12345674", "accountType": "string", "bic": "MIDLGB22XXX", "branchNumber": "string", "country": "GB", "iban": "GB26MIDL40051512345674", "ncc": "string" }, "intermAccount": { "accountName": "ACME", "accountNumber": "12345674", "bic": "MIDLGB22XXX", "country": "GB", "iban": "GB26MIDL40051512345674", "ncc": "string" } }, "type": "BankAccount" } }, "recipientId": { "clientReference": "ACMER1284", "xeRecipientId": "124863" }, "type": "NonRegistered"}{ "code": 0, "failureDateTime": "2019-08-24T14:15:22Z", "longErrorMsg": "string", "shortErrorMsg": "string", "traceErrorId": "string", "typeOfFailure": "MODEL_VALIDATION"}